/*
 * Copyright (c) 2015 Accorto, Inc. All Rights Reserved
 * License: GPLv3   http://www.gnu.org/licenses/gpl-3.0.txt
 * License options+support:  https://www.lightningdart.com
 */

library biz_fabrik_base;

/**
 * BizFabrik Base Classes
 */

import 'dart:async';
import 'dart:html';
import 'dart:js';

// Packages
import 'package:logging/logging.dart';
import 'package:intl/intl.dart';
import 'package:intl/intl_browser.dart';
import 'package:intl/date_symbol_data_local.dart';

// Protocol Buffers
import 'protoc/structure.pb.dart';
import 'protoc/data.pb.dart';
import 'protoc/display.pb.dart';
import 'protoc/rr.pb.dart';
//import 'dart:typed_data';
import 'package:fixnum/fixnum.dart';
//import 'package:protobuf/protobuf.dart';


export 'protoc/structure.pb.dart';
export 'protoc/data.pb.dart';
export 'protoc/display.pb.dart';
export 'protoc/rr.pb.dart';


part 'src/model/client_env.dart';
part 'src/model/data_context.dart';
part 'src/model/data_record.dart';
part 'src/model/data_type_util.dart';
part 'src/model/data_util.dart';
part 'src/model/editor_i.dart';


part 'src/util/string_tokenizer.dart';
